### Class

# Dex Coroutine

#### Description [src]

    final class Dex.Coroutine : GObject.TypeInstance
    {
      /* No available fields */
    }

`DexCoroutine` is a `DexFuture` implemented as a stateful stackless coroutine cooperatively scheduled on a `DexScheduler`.

Each coroutine stores stackful suspension state and optionally accepts user data via `user_data`.

Use user data passed at spawn time for stateful data.

#### Ancestors

- DexFuture
- DexObject

#### Instance methods

##### Methods inherited from DexFuture (25)

Please see DexFuture for a full list of methods.

##### Methods inherited from DexObject (2)

###### dex_ref

Acquires a reference on the given object, and increases its reference count by one.

###### dex_unref

Releases a reference on the given object, and decreases its reference count by one.

#### Class structure

    struct DexCoroutineClass {
      /* no available fields */
    }

No description available.